package com.persagy.dmp.rwd.define.dao;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.persagy.dmp.define.entity.ObjectInfoDefine;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 信息点 DAO
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface ObjectInfoMapper extends BaseMapper<ObjectInfoDefine> {
    List<ObjectInfoDefine> queryByClassCodes(@Param(Constants.WRAPPER) Wrapper<ObjectInfoDefine> wrapper,
                                             @Param("classCodes") Set<String> classCodes);
}
